CELL_MK_DIR = $(CELL_SDK)/samples/mk
include $(CELL_MK_DIR)/sdk.makedef.mk

PEXPORTPICKUP = ppu-lv2-prx-exportpickup

CRT_HEAD += $(shell ppu-lv2-gcc -print-file-name'='ecrti.o)
CRT_HEAD += $(shell ppu-lv2-gcc -print-file-name'='crtbegin.o)
CRT_TAIL += $(shell ppu-lv2-gcc -print-file-name'='crtend.o)
CRT_HEAD += $(shell ppu-lv2-gcc -print-file-name'='ecrtn.o)


PPU_SRCS  = pad_hook_c.c pad_hook.s mem.c misc.c png_dec.c blitting.c scroller.c starfield.c game_menu.c main.c

#FOR_DEBUG:
#PPU_SRCS += network.c

PPU_INCDIRS = -I ./inc
PPU_PRX_TARGET = ps3_game_menu.prx

PPU_PRX_LDFLAGS = -L ./lib -Wl, --strip-unused-data
#PPU_PRX_LDFLAGS = -L ./lib -Wl,--as-needed,--warn-once
#PPU_PRX_LDFLAGS = -L ./lib -Wl,--as-needed,--no-undefined,--noinhibit-exec,--warn-once,--verbose

PPU_PRX_STRIP_FLAGS = -s

PPU_PRX_LDLIBS  = -lm \
									-lfs_stub \
                  -lrtc_stub \
                  -lio_stub \
                  -lsysmodule_stub \
                  -lpngdec_stub \
                  -lfont_stub \
                  -lgcm_sys_stub \
                  -lsysutil_stub \
                  -lsysutil_music_stub \
									-lsysutil_search_stub \
									-lsysutil_rec_stub \
									-lsysutil_video_export_stub

#FOR_DEBUG:
#PPU_PRX_LDLIBS += -lnet_stub

PPU_CFLAGS += -Os -ffunction-sections -fdata-sections \
              -fno-builtin-printf -nodefaultlibs -std=gnu99 \
              -Wno-shadow -Wno-unused-parameter -ffast-math


#PPU_CFLAGS += -DDEBUG

#PPU_CFLAGS += -DHAVE_PNG_BG

#PPU_CFLAGS += -DHAVE_SYS_FONT
PPU_CFLAGS += -DHAVE_PNG_FONT
#PPU_CFLAGS += -DHAVE_XBM_FONT

#PPU_CFLAGS += -DHAVE_STARFIELD
#PPU_CFLAGS += -DHAVE_SSCROLLER

PPU_CFLAGS += -DGAME_MENU

CLEANFILES = ./$(PPU_SPRX_TARGET)

all:
	$(MAKE) $(PPU_OBJS_DEPENDS)
	$(PPU_PRX_STRIP) --strip-debug --strip-section-header $(PPU_PRX_TARGET)
	scetool -p /usr/bin/scetool_data/ -0 SELF -1 TRUE -s FALSE -2 1C -3 1010000001000003 -4 01000002 -5 APP -6 0003004000000000 -A 0001000000000000 -e ps3_game_menu.prx ps3_game_menu.sprx

include $(CELL_MK_DIR)/sdk.target.mk

