#ifndef __SYSCLIB_EXPORTS_H__
#define __SYSCLIB_EXPORTS_H__

// sysclib exports available system wide through liblv2
extern int _sys_printf(const char *format, ...);
#define printf _sys_printf

extern int _sys_sprintf(char *str, const char *format, ...);
#define sprintf _sys_sprintf

extern int _sys_snprintf(char *str, size_t size, const char *fmt, ...);
#define snprintf _sys_snprintf

extern int _sys_strcpy(char *destination, const char *source);
#define strcpy _sys_strcpy

extern char *_sys_strncpy(char *dest, const char *src, size_t num);
#define strncpy _sys_strncpy

extern size_t _sys_strlen(const char *str);
#define strlen _sys_strlen

extern int _sys_strcmp(const char *str1, const char *str2);
#define strcmp _sys_strcmp

extern int _sys_strncmp(const char *str1, const char *str2, size_t num);
#define strncmp _sys_strncmp 

extern long _sys_stol(const wchar_t *restrict nptr, wchar_t **restrict endptr, int base);
#define _sys_wcstol stdc_116CDA13

extern char *_sys_strrchr(const char *s, int c);
#define strrchr _sys_strrchr

extern char *_sys_strchr(const char *str, int c);
#define strchr _sys_strchr

extern char *_sys_strcat(char *dest, const char *src);
#define strcat _sys_strcat

extern char *_sys_strncat(char *dest, const char *src, size_t n);
#define strncat _sys_strncat

extern int _sys_strcasecmp(const char *s1, const char *s2);
#define strcasecmp _sys_strcasecmp

extern int _sys_strncasecmp(const char *s1, const char *s2, size_t n);
#define strncasecmp _sys_strncasecmp

extern void *_sys_malloc(unsigned int size);
#define malloc _sys_malloc

extern int _sys_free(void *ptr);
#define free _sys_free

extern void *_sys_memcpy(void *dest, const void *src, size_t num);
#define memcpy _sys_memcpy

extern void *_sys_memset(void *str, int c, size_t n);
#define memset _sys_memset

extern void *_sys_memmove(void *str1, const void *str2, size_t n);
#define memmove _sys_memmove

extern int *_sys_memcmp(const void *ptr1, const void *ptr2, size_t num);
#define memcmp _sys_memcmp

#endif // __SYSCLIB_EXPORTS_H__

