#include <sys/memory.h>

#include "mem.h"
#include "inc/exports.h"


static sys_memory_container_t mc_app = (sys_memory_container_t)-1;
static sys_addr_t heap_mem = 0;
static uint32_t prx_heap = 0;



/***********************************************************************
* create prx heap from memory container 1("app")
***********************************************************************/
int32_t create_heap(int32_t size)
{
  int32_t ret;

  #ifdef VSH_MENU
  mc_app = vsh_memory_container_by_id(1);
  if (!mc_app) {
    // error getting container
    return(-1);
  }
  ret = sys_memory_allocate_from_container(MB(size), mc_app, SYS_MEMORY_PAGE_SIZE_1M, &heap_mem);
  if (ret != 0) {
    // memory allocate error
    heap_mem = 0;
    return(-1);
  }
  #elif GAME_MENU
  ret = sys_memory_allocate(MB(size), SYS_MEMORY_PAGE_SIZE_1M, &heap_mem);
  if (ret != 0) {
    // memory allocate error
    heap_mem = 0;
    return(-1);
  }
  #endif
  prx_heap = (uint32_t)heap_mem;
  return(0);
}

/***********************************************************************
* 
***********************************************************************/
void destroy_heap(void)
{
  if (heap_mem) {
    sys_memory_free((sys_addr_t)heap_mem);
  }
  heap_mem = 0;
  prx_heap = 0;
  mc_app = (sys_memory_container_t)-1;
}

/***********************************************************************
* 
***********************************************************************/
void *mem_alloc(uint32_t size)
{
	uint32_t add = prx_heap;
	prx_heap += size;
	return (void*)add;
}




